#include <bits/stdc++.h>

using namespace std;

int main()
{
    std::ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,q;
    cin >> n >> q;
    string s;
    cin >> s;
    for(int i = 0; i < n; i++){
        int a,b;
        cin >> a >> b;
        cout << int((a-b)*(a-b)/4) << endl;
    }
}